> For the complete documentation index, see [llms.txt](https://docs.wisej.com/system.drawing.managed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/system.drawing.managed/api/system.drawing/system.drawing.stringalignment.md).

# StringAlignment

Namespace: **System.Drawing**

Assembly: **System.Drawing.Managed** (4.0.0.0)

Specifies the alignment of a text string relative to its layout rectangle.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum StringAlignment : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum StringAlignment As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name       | Description                                                                                                                                                                                     |
| ---------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Center** | Specifies that text is aligned in the center of the layout rectangle.                                                                                                                           |
| **Far**    | Specifies that text is aligned far from the origin position of the layout rectangle. In a left-to-right layout, the far position is right. In a right-to-left layout, the far position is left. |
| **Near**   | Specifies the text be aligned near the layout. In a left-to-right layout, the near position is left. In a right-to-left layout, the near position is right.                                     |

## Used By

| Name                                                                                                       | Description                                        |
| ---------------------------------------------------------------------------------------------------------- | -------------------------------------------------- |
| [StringFormat.Alignment](/system.drawing.managed/api/system.drawing/system.drawing.stringalignment.md)     | Gets or sets horizontal alignment of the string.   |
| [StringFormat.LineAlignment](/system.drawing.managed/api/system.drawing/system.drawing.stringalignment.md) | Gets or sets the vertical alignment of the string. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/system.drawing.managed/api/system.drawing/system.drawing.stringalignment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
